IPTABLES-RESTORE(8)

NAZWA
iptables-restore — przywrócenie tabel IP

ip6tables-restore — przywrócenie tabel IPv6

SKŁADNIA
iptables-restore [-chntv] [-M modprobe]

ip6tables-restore [-chntv] [-M modprobe] [-T nazwa]

OPIS

iptables-restore i ip6tables-restore są używane, aby przywrócić tabele IP i IPv6 z danych podanych na STDIN (standardowym wejściu). Aby odczytać dane z pliku, należy użyć odpowiedniego dla używanej powłoki przekierowania wejścia/wyjścia.

-c, --counters
    Przywraca wartości wszystkich pakietów i liczników bajtów.

-h, --help
    Wyświetla krótkie podsumowanie opcji programu.

-n, --noflush
    Nie opróżnia poprzedniej zawartości tabeli. Jeśli nie podano, oba polecania opróżnią (usuną) całą poprzednią zawartość odpowiedniej tabeli.

-t, --test
    Tylko przetwarza i tworzy zbiór reguł, ale go nie wykonuje.

-v, --verbose
    Wypisuje dodatkowe informacje, przydatne do debugowania, podczas przetwarzania zbioru reguł.

-M, --modprobe program_modprobe
    Podaje ścieżkę do programu modprobe. Domyślnie iptables-restore określi ścieżkę do tego programu na podstawie /proc/sys/kernel/modprobe.

-T, --table nazwa
    Przywraca tylko tabelę o danej nazwie, nawet jeśli strumień wejściowy zawiera także inne tabele.

BŁĘDY
Nieznane w wersji iptables-1.2.1

AUTORZY
Harald Welte <laforge@gnumonks.org> napisał iptables-restore na podstawie kodu Rusty'ego Russella.
Andras Kis-Szabo <kisza@sch.bme.hu> pomagał przy ip6tables-restore.

ZOBACZ TAKŻE
iptables-apply(8),iptables-save(8), iptables(8)

iptables-HOWTO, które zawiera więcej informacji na temat użycia iptables, NAT-HOWTO, które zawiera szczegóły na temat NAT, i netfilter-hacking-HOWTO, które zawiera szczegóły na temat ograniczeń.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl> i Robert Luberda <robert@debian.org>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 1.4.21 oryginału.